<?php

class jsUtils {
	
	/**
	 * Ajoute les balises de Script avant et aprs le code si ncessaire
	 */
	private static function addScript($code){
		/** / = dbut de l'criture
		 *  ^ = peu importe la chane
		 *  ? =
		 *  (.*) =
		 *  \ = permet d'utiliser les caractres spciaux
		 *  s =
		 *  i =
		 *  \n = passer  la ligne
		 */
		return preg_filter("/(\<script[^>]*?\>)?(.*)(\<\/script\>)?/si","<script>$2</script>\n",$code,1);
	}
	/**
	 * Associe une fonction  l'vnement d'un lment DOM
	 */
	public static function bindToElement($element,$event,$function) {
		return jsUtils::addScript("$('".$element."').bind('".$event."',".$function.");");
	}
	
	/**
	 * Effectue un Get en ajax
	 * @param string $url adresse de la requte
	 * @param string $params paramtres passs au format JSON
	 * @param string $responceElement id de l'lment HTML affichant une rponse
	 * @param string $function fonction appel ventuellement aprs rception
	 */
	public static function get($url,$params,$responceElement,$function=NULL){
		$function=isset($function)?$function:"";
		$retour="url='".$url."';\n";
		$retour.="url=url+'/'+$(this).attr('id');\n";
		$retour.="$.get('url',".$params.").done(function(data){\n
			\t$('".$responceElement."').html(data);\n
			\t".$function."\n
		});";
		return $retour;
	}
	
	/**
	 * Effectue un Post en ajax
	 * @param string $url adresse de la requte
	 * @param string $params paramtres passs au format JSON
	 * @param string $responceElement id de l'lment HTML affichant une rponse
	 * @param string $function fonction appel ventuellement aprs rception
	 */
	public static function post($url,$params,$responceElement,$function=NULL){
		$function=isset($function)?$function:"";
		$retour="";
		$retour="params=".$params.";\n";
		$retour.="params['_id']=$(this).attr('id');\n";
		$retour.="$.post('".$url."',params).done(function(data){\n
			\t$('".$responceElement."').html(data);\n
			\t".$function."\n
		});";
		return $retour;
	}
	
	/**
	 * @param string $element
	 * @param unknown $value
	 */
	public static function setVal($element,$value){
		return "$('".$element."').val(".$value.");";
	}
	
	/**
	 * @param string $element
	 * @param string $event
	 * @param string $url
	 * @param string $params
	 * @param string $responceElement
	 * @param string $function
	 */
	public static function getAndBindTo($element,$event,$url,$params,$responceElement,$function=Null){
		return jsUtils::bindToElement($element, $event, "function(){".jsUtils::get($url, $params, $responceElement)."}");
	}

	/**
	 * @param string $element
	 * @param string $event
	 * @param string $url
	 * @param string $params
	 * @param string $responceElement
	 * @param string $function
	 */
	public static function postAndBindTo($element,$event,$url,$params,$responceElement,$function=Null){
		return jsUtils::bindToElement($element, $event, "function(){".jsUtils::post($url, $params, $responceElement)."}");
	}
}
