-- phpMyAdmin SQL Dump
-- version 3.5.2.2
-- http://www.phpmyadmin.net
--
-- Client: 127.0.0.1
-- Généré le: Lun 02 Juin 2014 à 08:59
-- Version du serveur: 5.5.27
-- Version de PHP: 5.4.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `bugreport`
--

-- --------------------------------------------------------

--
-- Structure de la table `affectation`
--

CREATE TABLE IF NOT EXISTS `affectation` (
  `idapplication` int(11) NOT NULL,
  `idUtilisateur` int(11) NOT NULL,
  `dateAffectation` date DEFAULT NULL,
  PRIMARY KEY (`idapplication`,`idUtilisateur`),
  KEY `idUtilisateur` (`idUtilisateur`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `affectation`
--

INSERT INTO `affectation` (`idapplication`, `idUtilisateur`, `dateAffectation`) VALUES
(1, 12, NULL),
(2, 15, NULL),
(2, 42, NULL),
(2, 49, NULL),
(2, 50, NULL),
(3, 49, NULL),
(3, 77, NULL),
(4, 50, NULL),
(4, 51, NULL),
(20, 26, NULL);

-- --------------------------------------------------------

--
-- Structure de la table `application`
--

CREATE TABLE IF NOT EXISTS `application` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(50) NOT NULL,
  `descriptif` mediumtext NOT NULL,
  `version` varchar(20) NOT NULL,
  `dateCreation` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=22 ;

--
-- Contenu de la table `application`
--

INSERT INTO `application` (`id`, `libelle`, `descriptif`, `version`, `dateCreation`) VALUES
(1, 'Gestion des stages', '', 'beta 9.0.0', '0000-00-00 00:00:00'),
(2, 'GSB', '', '3.0.0.1 Beta', '0000-00-00 00:00:00'),
(3, 'GSB Fiches de Frais', '', '', '0000-00-00 00:00:00'),
(4, 'BugReport 2', 'Essai de descriptif\nsur plusieurs lignes', '1.0.0.1', '2013-10-16 15:50:07'),
(6, 'gsbaze', 'test', '1000', '2013-12-17 00:00:00'),
(12, 'Foot', 'TrÃ¨s beau match', '1.2', '2013-12-19 00:00:00'),
(16, 'cvhdfgh', 'jgcgc', 'jhvjh', '2013-12-29 00:00:00'),
(17, 'azert', 'aze', 'aze', '2013-12-18 00:00:00'),
(20, 'bugreport9', 'application bugreport', 'beta 9.0.0', '2014-03-25 20:13:00'),
(21, 'test', 'test', 'test', '2014-05-15 00:00:00');

-- --------------------------------------------------------

--
-- Structure de la table `droit`
--

CREATE TABLE IF NOT EXISTS `droit` (
  `idGroupe` int(11) NOT NULL,
  `idModule` int(11) NOT NULL,
  PRIMARY KEY (`idGroupe`,`idModule`),
  KEY `idModule` (`idModule`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `droit`
--

INSERT INTO `droit` (`idGroupe`, `idModule`) VALUES
(2, 1),
(3, 1),
(1, 2),
(1, 3),
(3, 3),
(4, 3),
(3, 4);

-- --------------------------------------------------------

--
-- Structure de la table `groupe`
--

CREATE TABLE IF NOT EXISTS `groupe` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Contenu de la table `groupe`
--

INSERT INTO `groupe` (`id`, `libelle`) VALUES
(1, 'Utilisateurs'),
(2, 'Administrateurs'),
(3, 'Chefs de projet'),
(4, 'DÃ©veloppeurs');

-- --------------------------------------------------------

--
-- Structure de la table `message`
--

CREATE TABLE IF NOT EXISTS `message` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idReport` int(11) NOT NULL,
  `idUtilisateur` int(11) NOT NULL,
  `objet` varchar(255) DEFAULT NULL,
  `contenu` text,
  `dateEnvoi` date DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idReport` (`idReport`),
  KEY `idUtilisateur` (`idUtilisateur`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=43 ;

--
-- Contenu de la table `message`
--

INSERT INTO `message` (`id`, `idReport`, `idUtilisateur`, `objet`, `contenu`, `dateEnvoi`) VALUES
(29, 66, 77, 'rÃ©solution du problÃ¨me', 'Est ce que quelqu''un Ã  le mÃªme problÃ¨me ?', '2014-01-02'),
(30, 66, 77, 'rÃ©solution du problÃ¨me', 'Est ce que quelqu''un Ã  le mÃªme problÃ¨me ?', '2014-01-02'),
(31, 66, 66, 'test objet', 'test Message', '2014-01-03'),
(32, 66, 66, 'test objet', 'test Message', '2014-01-03'),
(42, 67, 77, 'zerty', 'zert', '2014-01-06');

-- --------------------------------------------------------

--
-- Structure de la table `module`
--

CREATE TABLE IF NOT EXISTS `module` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(100) DEFAULT NULL,
  `descriptif` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Contenu de la table `module`
--

INSERT INTO `module` (`id`, `libelle`, `descriptif`) VALUES
(1, 'Administration', 'Pages liÃ©es Ã  l''administration, gestions des pages, modules, groupes, utilisateurs'),
(2, 'Public', 'Pages accessibles sans Ãªtre connectÃ©'),
(3, 'Utilisateur', 'Pages destinÃ©es aux reports de bug...'),
(4, 'Gestion des Reports', 'Suivi des report, affectation des dÃ©veloppeurs');

-- --------------------------------------------------------

--
-- Structure de la table `page`
--

CREATE TABLE IF NOT EXISTS `page` (
  `idPage` int(11) NOT NULL AUTO_INCREMENT,
  `idModule` int(11) NOT NULL,
  `libelle` varchar(100) DEFAULT NULL,
  `controleur` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`idPage`),
  KEY `idModule` (`idModule`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Contenu de la table `page`
--

INSERT INTO `page` (`idPage`, `idModule`, `libelle`, `controleur`) VALUES
(1, 4, 'a', 'a'),
(2, 2, 'b', 'b'),
(3, 3, 'c', 'c'),
(4, 1, 'v', 'v'),
(5, 1, 'd', 'd');

-- --------------------------------------------------------

--
-- Structure de la table `report`
--

CREATE TABLE IF NOT EXISTS `report` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idStatut` int(11) DEFAULT NULL,
  `idUtilisateur` int(11) NOT NULL,
  `code` int(11) NOT NULL,
  `libelle` varchar(100) DEFAULT NULL,
  `descriptif` text,
  `dateCreation` date DEFAULT NULL,
  `userAction` text,
  `systemMessage` text,
  `reponseOfficielle` text,
  PRIMARY KEY (`id`),
  KEY `FK_DEPOSER` (`idUtilisateur`),
  KEY `FK_REPORTERSUR` (`code`),
  KEY `idStatut` (`idStatut`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=69 ;

--
-- Contenu de la table `report`
--

INSERT INTO `report` (`id`, `idStatut`, `idUtilisateur`, `code`, `libelle`, `descriptif`, `dateCreation`, `userAction`, `systemMessage`, `reponseOfficielle`) VALUES
(66, 5, 77, 5, NULL, 'Message d''erreur et fermeture de l''application', '2014-01-02', 'cliquer sur le bouton d''ajout d''une fiche de frais', 'Impossible d''ajouter la fiche de frais d''un utilisateur', 'test Message'),
(67, 3, 77, 4, NULL, 'azer', '2014-01-06', 'azer', 'azert', NULL),
(68, 1, 79, 4, NULL, 'azer', '2014-05-26', 'azer', 'azer', NULL);

-- --------------------------------------------------------

--
-- Structure de la table `statut`
--

CREATE TABLE IF NOT EXISTS `statut` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Contenu de la table `statut`
--

INSERT INTO `statut` (`id`, `libelle`) VALUES
(1, 'CrÃ©e'),
(3, 'En cours'),
(5, 'RÃ©solu');

-- --------------------------------------------------------

--
-- Structure de la table `usecase`
--

CREATE TABLE IF NOT EXISTS `usecase` (
  `code` int(11) NOT NULL AUTO_INCREMENT,
  `idApplication` int(11) NOT NULL,
  `libelle` varchar(50) NOT NULL,
  PRIMARY KEY (`code`),
  KEY `idApplication` (`idApplication`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=23 ;

--
-- Contenu de la table `usecase`
--

INSERT INTO `usecase` (`code`, `idApplication`, `libelle`) VALUES
(4, 1, 'lancement de l''application'),
(5, 3, 'test'),
(15, 12, 'azer'),
(21, 20, 'testbugreport1'),
(22, 1, 'ajouter');

-- --------------------------------------------------------

--
-- Structure de la table `utilisateur`
--

CREATE TABLE IF NOT EXISTS `utilisateur` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idGroupe` int(11) DEFAULT NULL,
  `login` varchar(30) NOT NULL,
  `password` varchar(40) NOT NULL,
  `mail` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idGroupe` (`idGroupe`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=82 ;

--
-- Contenu de la table `utilisateur`
--

INSERT INTO `utilisateur` (`id`, `idGroupe`, `login`, `password`, `mail`) VALUES
(12, 2, 'Charly BEAUGRAND', 'f7c3bc1d808e04732adf679965ccc34ca7ae3441', 'charly@gmail.fr'),
(15, 2, 'Anthony GAUTREAU', '20eabe5d64b0e216796e834f52d61fd0b70332fc', ''),
(26, 4, 'Administrateur', '8104ba1dc0409b259f487ed07db477c38f205a30', ''),
(39, 1, 'PÃ©nÃ©lope GIROD', '48058e0c99bf7d689ce71c360699a14ce2f99774', ''),
(41, NULL, 'root', 'eb117fa18203d7e20419e78f1e997364a77783ae', ''),
(42, 2, 'DarkVador', '7b8a3112ef78e0208358cc3c1141fb4fa0aa138a', ''),
(43, NULL, 'Jordi FERTE', '7c4a8d09ca3762af61e59520943dc26494f8941b', ''),
(47, 2, 'Joachim HODEMOND', 'f7c3bc1d808e04732adf679965ccc34ca7ae3441', ''),
(48, NULL, 'Arnaud VINCENT', '39dfa55283318d31afe5a3ff4a0e3253e2045e43', ''),
(49, 2, 'Romain BERTRAND', '571a47254f4383b47dc24dbb5da02ac2e4b037b5', ''),
(50, 2, 'Maxime DONGE', 'dbaa30de22b1129ec140a188fc3c06a6af8e9f1f', ''),
(51, 2, 'Alexandre AXEL', '2d663df28f689a6b0f44e265f73e50d5e3af6b7f', ''),
(52, 2, 'Florian BRIENS', 'b1af8adc5baaa1284c9e91b4df5ed301200a3753', ''),
(53, NULL, 'Florian ROBIN', 'ec4cba6ca3bcaa3c0b184781c8fb3e0b52e3fe6b', ''),
(54, 2, 'Camille HENRY', '2c50d9402e832863195f5372dabc9a3b307de353', ''),
(55, 2, 'Audrey GERSAN', '57f3b39122010f58a4f941c3e01b81c018ad7fe2', ''),
(58, 2, 'Donovan MORIN', 'bfed8c0ee8f23147035a46fdf6f6246d187f92b4', ''),
(60, 2, 'Pierrick HUE', '39dfa55283318d31afe5a3ff4a0e3253e2045e43', ''),
(64, 2, 'antho', '653b58aac553220bbf0cffdd97c19618', 'bouloui@hotmail.fr'),
(66, 4, 'pierrick', '7bcdc923d9bb01b0ca4380439811ea69', 'lesurferdu@hotmail.fr'),
(77, 2, 'jcheron', '882baf28143fb700b388a87ef561a6e5', 'jcheron@hotmail.fr'),
(78, 3, 'pepe', 'pepe', 'pepe@gmail.com'),
(79, 2, 'test', '05a671c66aefea124cc08b76ea6d30bb', 'azertyui@sfr.fr'),
(80, 1, 'pierrick', '7bcdc923d9bb01b0ca4380439811ea69', 'pierrick@hotmail.fr'),
(81, 2, 'admin', '0192023a7bbd73250516f069df18b500', 'admin@sfr.fr');

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `affectation`
--
ALTER TABLE `affectation`
  ADD CONSTRAINT `affectation_ibfk_2` FOREIGN KEY (`idUtilisateur`) REFERENCES `utilisateur` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `affectation_ibfk_3` FOREIGN KEY (`idapplication`) REFERENCES `application` (`id`) ON DELETE CASCADE;

--
-- Contraintes pour la table `droit`
--
ALTER TABLE `droit`
  ADD CONSTRAINT `droit_ibfk_1` FOREIGN KEY (`idGroupe`) REFERENCES `groupe` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `droit_ibfk_2` FOREIGN KEY (`idModule`) REFERENCES `module` (`id`);

--
-- Contraintes pour la table `message`
--
ALTER TABLE `message`
  ADD CONSTRAINT `message_ibfk_1` FOREIGN KEY (`idReport`) REFERENCES `report` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `message_ibfk_2` FOREIGN KEY (`idUtilisateur`) REFERENCES `utilisateur` (`id`) ON DELETE CASCADE;

--
-- Contraintes pour la table `page`
--
ALTER TABLE `page`
  ADD CONSTRAINT `page_ibfk_1` FOREIGN KEY (`idModule`) REFERENCES `module` (`id`);

--
-- Contraintes pour la table `report`
--
ALTER TABLE `report`
  ADD CONSTRAINT `report_ibfk_1` FOREIGN KEY (`idStatut`) REFERENCES `statut` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `report_ibfk_2` FOREIGN KEY (`code`) REFERENCES `usecase` (`code`);

--
-- Contraintes pour la table `usecase`
--
ALTER TABLE `usecase`
  ADD CONSTRAINT `usecase_ibfk_1` FOREIGN KEY (`idApplication`) REFERENCES `application` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Contraintes pour la table `utilisateur`
--
ALTER TABLE `utilisateur`
  ADD CONSTRAINT `utilisateur_ibfk_1` FOREIGN KEY (`idGroupe`) REFERENCES `groupe` (`id`) ON DELETE SET NULL;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
